Uploaded image for project: 'Puppet Agent'
  1. Puppet Agent
  2. PA-762

rubygem-locale-2.1.2-2 does not exist (in outside world)

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: puppet-agent 1.8.1
    • Fix Version/s: puppet-agent 1.10.1
    • Component/s: Packaging
    • Labels:
      None
    • Template:
    • Acceptance Criteria:
      • rubygem-locale version and md5sum used in internal puppet-agent build matches artifact hosted on rubygems.org
    • Team:
      Agent
    • Story Points:
      1
    • Sprint:
      Agent 2017-04-05
    • Release Notes:
      Bug Fix
    • Release Notes Summary:
      The locale gem component in puppet-agent now points to the latest released version of the gem, allowing builds without needing access to our internal mirror.
    • QA Risk Assessment:
      No Action

      Description

      Running:

      bundle exec build puppet-agent el-5-x86_64 aib52.cern.ch

      results in

      https://rubygems.org/downloads/locale-2.1.2-2.gem

      this gem does not exist, presumably it does

      http://buildsources.delivery.puppetlabs.net

      On rubygems, only 2.1.2.

        Attachments

          Activity

            People

            • Assignee:
              maggie Maggie Dreyer
              Reporter:
              traylenator Steve Traylen
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Zendesk Support